QGIS Application - Bug report #9621

Remove Topology Checker tolerance column from rule settings

2014-02-22 05:22 PM - Darren Kavanagh

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18195

Description

Could the tolerance column be removed from the Topology Checker's 'Topology Rule Settings' table (see attached screen capture) or at
least be non-editable? From my testing and code review, the tolerance functionality does not appear to be implemented. It is confusing to

have the option both listed and editable.

Associated revisions

Revision 8ebd47bf - 2018-03-30 05:03 AM - Nyall Dawson

[needs-docs] Drop unused/misleading 'tolerance’ setting from topology
checker

Fixes #9621

Revision bed5c763 - 2018-04-02 05:01 AM - Nyall Dawson

[needs-docs] Drop unused/misleading 'tolerance’ setting from topology
checker

Fixes #9621

(cherry-picked from 8ebd47b)

History

#1 - 2014-02-23 12:26 AM - Giovanni Manghi
- Category set to C++ Plugins
- Affected QGIS version changed from 2.0.1 to master

#2 - 2014-06-18 10:28 AM - Antonio Locandro

Still present in master, | would however like the functionality to be implemented instead of making the tolerance not editable. | have a series of layers in

which | have an acceptable tolerance for error, but topology check is giving me all with errors

#3 - 2014-06-29 11:23 AM - Jurgen Fischer

- Category changed from C++ Plugins to C++ plugins/Topology checker

#4 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2018-03-26 09:44 PM - Darren Kavanagh

This issue still exists in version 3.

#6 - 2018-03-26 10:37 PM - Darren Kavanagh

Reviewing this bug after a gap of a few years - tolerance is used for two rules that are excluded from compilation but not any of the compiled and available

rules. See topolTest.cpp in the repo.

#7 - 2018-03-30 05:02 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|8ebd4 7bfb2b672dfdcdefa09e2b564688f4707ad.
https://github.com/qgis/QGIS/blob/2c536307476e205b83d86863b903d7ea9d628f0d/src/plugins/topology/topolTest.cpp

